package merchant

type GetByOutTradeNoReq struct {
	OutTradeNo string `json:"out_trade_no" validate:"required"`
	MerchantId int64  `json:"merchant_id" validate:"required"`
	TimeStamp  int64  `json:"time_stamp" validate:"required"`
	Sign       string `json:"sign" validate:"required"`
}

type GetByOutTradeNoResp struct {
	Status     int64  `json:"status"`
	OutTradeNo string `json:"out_trade_no"`
}

type CreateOrderReq struct {
	OutTradeNo      string `json:"out_trade_no" validate:"required"`
	ProductId       int64  `json:"product_id" validate:"required"`
	RechargeAccount string `json:"recharge_account" validate:"required"`
	AccountType     *int64  `json:"account_type" validate:"required"`
	Number          int64  `json:"number" validate:"required"`
	NotifyUrl       string `json:"notify_url"`
	ExtendParameter string `json:"extend_parameter"`

	MerchantId int64  `json:"merchant_id" validate:"required"`
	TimeStamp  int64  `json:"time_stamp" validate:"required"`
	Sign       string `json:"sign" validate:"required"`
}

type CreateOrderResp struct {
	OutTradeNo string `json:"out_trade_no"`
}
